Index: mythcontrols/keybindings.h
===================================================================
--- mythcontrols/keybindings.h	(revision 11460)
+++ mythcontrols/keybindings.h	(working copy)
@@ -60,7 +60,10 @@
      * @brief Get the hostname these keybindings are from.
      * @return The hostname these keybindings are from.
      */
-    inline const QString & getHostname() const { return this->_hostname; }
+    inline const QString & GetHostname() const
+    {
+        return this->m_Hostname;
+    }
 
     /**
      * @brief Get a list of the context names.
@@ -68,9 +71,9 @@
      * @note The returned list is a copy and can be modified without
      * side-effects.
      */
-    inline QStringList * getContexts() const
+    inline QStringList * GetContexts() const
     {
-        return actionset.contextStrings();
+        return m_ActionSet.ContextStrings();
     }
 
     /**
@@ -80,9 +83,9 @@
      * @note Store this instead of calling repeatedly.  Every time you
      * do, ActionSet has to iterate over all contexts and actions.
      */
-    inline QStringList * getActions(const QString & context) const
+    inline QStringList * GetActions(const QString & context) const
     {
-        return actionset.actionStrings(context);
+        return m_ActionSet.ActionStrings(context);
     }
 
     /**
@@ -92,9 +95,9 @@
      * @note Store this instead of calling repeatedly.  Every time you
      * do, ActionSet has to iterate over all contexts and actions.
      */
-    inline void getKeyActions(const QString &key, ActionList &list) const
+    inline void GetKeyActions(const QString &key, ActionList &list) const
     {
-        list = actionset.getActions(key);
+        list = m_ActionSet.GetActions(key);
     }
 
     /**
@@ -103,10 +106,10 @@
      * @param action_name The name of the action.
      * @return The keys bound to the specified context's action
      */
-    inline QStringList getActionKeys(const QString & context_name,
+    inline QStringList GetActionKeys(const QString & context_name,
                                      const QString & action_name) const
     {
-        return actionset.getKeys(ActionID(context_name, action_name));
+        return m_ActionSet.GetKeys(ActionID(context_name, action_name));
     }
 
     /**
@@ -115,10 +118,11 @@
      * @param action_name The name of the action.
      * @return The description of the specified context's action
      */
-    inline QString getActionDescription(const QString & context_name,
+    inline QString GetActionDescription(const QString & context_name,
                                         const QString & action_name) const
     {
-        return actionset.getDescription(ActionID(context_name, action_name));
+        return m_ActionSet.GetDescription(ActionID(context_name,
+                                                   action_name));
     }
 
     /**
@@ -131,11 +135,11 @@
      * This does not take effect until the commitChanges function is
      * called.
      */
-    inline void addActionKey(const QString & context_name,
+    inline void AddActionKey(const QString & context_name,
                              const QString & action_name,
                              const QString & key)
     {
-        this->actionset.add(ActionID(context_name, action_name), key);
+        this->m_ActionSet.Add(ActionID(context_name, action_name), key);
     }
 
     /**
@@ -157,7 +161,7 @@
      * errors should be prevented no matter what.  If they dont like it,
      * they can learn SQL.
      */
-    ActionID * conflicts(const QString & context_name,
+    ActionID * Conflicts(const QString & context_name,
                          const QString & key, int &level) const;
 
     /**
@@ -171,12 +175,12 @@
      * This does not take effect until the commitChanges function is
      * called.
      */
-    inline void replaceActionKey(const QString & context_name,
+    inline void ReplaceActionKey(const QString & context_name,
                                  const QString & action_name,
                                  const QString & newkey,
                                  const QString & oldkey)
     {
-        this->actionset.replace(ActionID(context_name, action_name),
+        this->m_ActionSet.Replace(ActionID(context_name, action_name),
                                 newkey, oldkey);
     }
 
@@ -187,23 +191,26 @@
      * @param key The key to remove.
      * @return true if the key was removed, or false if it was not.
      *
-     * Unless the action is manditory there is only one key in the
+     * Unless the action is Mandatory there is only one key in the
      * action, this method should return true.
      */
-    bool removeActionKey(const QString & context_name,
+    bool RemoveActionKey(const QString & context_name,
                          const QString & action_name,
                          const QString & key);
 
     /**
-     * @brief Set the manditory bindings to their defaults.
+     * @brief Set the Mandatory bindings to their defaults.
      */
-    void defaultManditoryBindings(void);
+    void DefaultMandatoryBindings(void);
 
     /**
      * @brief Determine if there are changes to the keybindings.
      * @return True if keys have been changed, otherwise, false.
      */
-    inline bool hasChanges(void) const { return actionset.hasModified(); }
+    inline bool HasChanges(void) const
+    {
+        return m_ActionSet.HasModified();
+    }
 
     /**
      * @brief Commit all changes made to the keybindings.
@@ -212,49 +219,43 @@
      * current bindings for those actions that changed, and setup the
      * new bindings.
      */
-    void commitChanges(void);
+    void CommitChanges(void);
 
     /**
-     * @brief Get a list of the manditory key bindings.
-     * @return A list of the manditory bindings.
+     * @brief Get a list of the Mandatory key bindings.
+     * @return A list of the Mandatory bindings.
      */
-    inline const ActionList& getManditoryBindings(void) const
+    inline const ActionList& GetMandatoryBindings(void) const
     {
-        return this->_manditory_bindings;
+        return this->m_MandatoryBindings;
     }
 
     /**
-     * @brief Determine if all manditory bindings are satisfied.
-     * @return true if all manditory bindings are satisfied, otherwise, false.
+     * @brief Determine if all Mandatory bindings are satisfied.
+     * @return true if all mandatory bindings are satisfied, otherwise, false.
      */
-    bool hasManditoryBindings(void) const;
+    bool HasMandatoryBindings(void) const;
 
 protected:
 
     /**
-     * @brief Get a reference to the hostname.
-     * @return A reference to the hostname.
-     */
-    inline QString & hostname() { return this->_hostname; }
-
-    /**
      * @brief Commit a jumppoint to the database.
      *
      * This (currently) does not reload the jumppoint.
      */
-    void commitJumppoint(const ActionID &id);
+    void CommitJumppoint(const ActionID &id);
 
     /**
      * @brief Commit an action to the database, and reload its keybindings.
      */
-    void commitAction(const ActionID & id);
+    void CommitAction(const ActionID & id);
 
     /**
      * @brief Load the jumppoints from the database.
      *
      * This method will load the keybindings for jump points.
      */
-    void retrieveJumppoints(void);
+    void RetrieveJumppoints(void);
 
     /**
      * @brief Load the keybindings from the database.
@@ -262,31 +263,37 @@
      * This will load the keybindings which apply to the hostname
      * specified to the constructor.
      */
-    void retrieveContexts(void);
+    void RetrieveContexts(void);
 
     /**
-     * @brief Load the manditory bindings.
+     * @brief Load the mandatory bindings.
      */
-    void loadManditoryBindings(void);
+    void LoadMandatoryBindings(void);
 
     /**
-     * @brief Get a reference to the list of the manditory key bindings.
-     * @return A reference to the list of the manditory bindings.
+     * @brief Get a reference to the list of the mandatory key bindings.
+     * @return A reference to the list of the mandatory bindings.
      */
-    inline ActionList & manditoryBindings(void) { return _manditory_bindings; }
+    inline ActionList & MandatoryBindings(void)
+    {
+        return m_MandatoryBindings;
+    }
 
     /**
      * @brief Get the default keys.
      * @return A list of the default keys.
      */
-    inline QStringList & defaultKeys() { return _default_keys; }
+    inline QStringList & DefaultKeys()
+    {
+        return m_DefaultKeys;
+    }
 
 private:
 
-    QString _hostname;
-    ActionList _manditory_bindings;
-    QStringList _default_keys;
-    ActionSet actionset;
+    QString m_Hostname;
+    ActionList m_MandatoryBindings;
+    QStringList m_DefaultKeys;
+    ActionSet m_ActionSet;
 };
 
 #endif /* KEYBINDINGS_H */
Index: mythcontrols/action.cpp
===================================================================
--- mythcontrols/action.cpp	(revision 11460)
+++ mythcontrols/action.cpp	(working copy)
@@ -34,18 +34,19 @@
 
 Action::Action(const QString & description, const QString & keys)
 {
-    this->description() = description;
-    this->keys() = QStringList::split(", ", QString(QKeySequence(keys)));
+    m_Description = description;
+    m_Keys = QStringList::split(", ", QString(QKeySequence(keys)));
 }
 
 
 
-bool Action::hasKey(const QString & key) const
+bool Action::HasKey(const QString & key) const
 {
     /* check the keys */
-    for (size_t i = 0; i < getKeys().count(); i++)
+    for (size_t i = 0; i < GetKeys().count(); i++)
     {
-        if (getKeys()[i] == key) return true;
+        if (GetKeys()[i] == key)
+            return true;
     }
 
     /* the key was not found, so return false */
@@ -54,33 +55,33 @@
 
 
 
-bool Action::addKey(const QString & key)
+bool Action::AddKey(const QString & key)
 {
 
     /* dont add empty keys and dont add too many, or duplicates  */
     if ((key.length() == 0) ||
-        (getKeys().size() >= MAX_KEYS) ||
-        (getKeys().contains(key)))
+        (GetKeys().size() >= MAX_KEYS) ||
+        (GetKeys().contains(key)))
         return false;
 
     /* add the key */
-    this->keys().push_back(key);
+    m_Keys.push_back(key);
     return true;
 }
 
 
 
 /* comments in header */
-bool Action::replaceKey(const QString & newkey, const QString &oldkey)
+bool Action::ReplaceKey(const QString & newkey, const QString &oldkey)
 {
     /* make sure that the key list doesn't already have the new key */
-    if (getKeys().contains(newkey) == 0)
+    if (GetKeys().contains(newkey) == 0)
     {
-        for (size_t i = 0; i < getKeys().size(); i++)
+        for (size_t i = 0; i < GetKeys().size(); i++)
         {
-            if (getKeys()[i] == oldkey)
+            if (GetKeys()[i] == oldkey)
             {
-                keys()[i] = newkey;
+                m_Keys[i] = newkey;
                 return true;
             }
         }
Index: mythcontrols/keygrabber.cpp
===================================================================
--- mythcontrols/keygrabber.cpp	(revision 11460)
+++ mythcontrols/keygrabber.cpp	(working copy)
@@ -22,8 +22,6 @@
  * 02111-1307, USA
  */
 
-#include <iostream>
-
 using namespace std;
 
 #include "keygrabber.h"
@@ -34,13 +32,13 @@
 KeyGrabPopupBox::KeyGrabPopupBox(MythMainWindow *window)
     : MythPopupBox(window, "keygrabber")
 {
-    this->is_capturing = false;
-    this->has_captured = false;
+    m_IsCapturing = false;
+    m_HasCaptured = false;
     addLabel("Press A Key", Large, false);
-    key_label = addLabel("Waiting for key press", Small, false);
+    m_KeyLabel = addLabel("Waiting for key press", Small, false);
 
-    ok_button = this->addButton(tr("OK"), this, SLOT(acceptBinding()));
-    cancel_button = this->addButton(tr("Cancel"), this, SLOT(cancel()));
+    m_OkButton = this->addButton(tr("OK"), this, SLOT(AcceptBinding()));
+    m_CancelButton = this->addButton(tr("Cancel"), this, SLOT(Cancel()));
 
     this->grabKeyboard();
 }
@@ -49,11 +47,12 @@
 
 void KeyGrabPopupBox::keyReleaseEvent(QKeyEvent *e)
 {
-    if (!this->is_capturing) return;
+    if (!this->m_IsCapturing)
+        return;
 
     /* now we have an event, so we are not capturing */
-    this->has_captured = true;
-    this->is_capturing = false;
+    this->m_HasCaptured = true;
+    this->m_IsCapturing = false;
 
     /* get the base name of the qkeysequence */
     QString key_name = QString(QKeySequence(e->key()));
@@ -64,25 +63,29 @@
         QString modifiers;
 
         /* key modifier strings as defined by the QT docs */
-        if (e->state()&Qt::ShiftButton) modifiers+="Shift+";
-        if (e->state()&Qt::ControlButton) modifiers+="Ctrl+";
-        if (e->state()&Qt::AltButton) modifiers+="Alt+";
-        if (e->state()&Qt::MetaButton) modifiers+="Meta+";
+        if (e->state()&Qt::ShiftButton)
+            modifiers+="Shift+";
+        if (e->state()&Qt::ControlButton)
+            modifiers+="Ctrl+";
+        if (e->state()&Qt::AltButton)
+            modifiers+="Alt+";
+        if (e->state()&Qt::MetaButton)
+            modifiers+="Meta+";
         key_name = modifiers + key_name;
     }
 
     /* keys without a name are no good to us */
     if (key_name.isEmpty())
     {
-        key_label->setText(tr("Pressed key not recognized"));
-        ok_button->setDisabled(true);
-        cancel_button->setFocus();
+        m_KeyLabel->setText(tr("Pressed key not recognized"));
+        m_OkButton->setDisabled(true);
+        m_CancelButton->setFocus();
     }
     else
     {
-        captured_key_event = key_name;
-        key_label->setText(tr("Add key '%1'?").arg(key_name));
-        ok_button->setFocus();
+        m_CapturedKeyEvent = key_name;
+        m_KeyLabel->setText(tr("Add key '%1'?").arg(key_name));
+        m_OkButton->setFocus();
     }
 
     releaseKeyboard();
@@ -92,13 +95,15 @@
 
 void KeyGrabPopupBox::keyPressEvent(QKeyEvent *e)
 {
-
     /* if no capturing has occured yet, then start */
-    if (!has_captured) this->is_capturing = true;
+    if (!m_HasCaptured)
+        this->m_IsCapturing = true;
 
     /* accept events while we are capturing */
-    if (this->is_capturing) e->accept();
-    else MythPopupBox::keyPressEvent(e);
+    if (this->m_IsCapturing)
+        e->accept();
+    else
+        MythPopupBox::keyPressEvent(e);
 }
 
 InvalidBindingPopup::InvalidBindingPopup(MythMainWindow *window)
@@ -131,8 +136,8 @@
     : MythPopupBox(window, "optionmenu")
 {
     addLabel(tr("Options"), Large, false);
-    addButton(tr("Save"), this, SLOT(save()));
-    addButton(tr("Cancel"), this, SLOT(cancel()))->setFocus();
+    addButton(tr("Save"), this, SLOT(Save()));
+    addButton(tr("Cancel"), this, SLOT(Cancel()))->setFocus();
 }
     
 
@@ -140,9 +145,9 @@
     : MythPopupBox(window, "actionmenu")
 {
     addLabel(tr("Modify Action"), Large, false);
-    addButton(tr("Set Binding"), this, SLOT(set()));
-    addButton(tr("Remove Binding"), this, SLOT(remove()));
-    addButton(tr("Cancel"), this, SLOT(cancel()))->setFocus();
+    addButton(tr("Set Binding"), this, SLOT(Set()));
+    addButton(tr("Remove Binding"), this, SLOT(Remove()));
+    addButton(tr("Cancel"), this, SLOT(Cancel()))->setFocus();
 }
 
 UnsavedMenu::UnsavedMenu(MythMainWindow *window)
@@ -150,8 +155,8 @@
 {
     addLabel(tr("Unsaved Changes"), Large, false);
     addLabel(tr("Exiting...") + "\n\n" + tr("Save Changes?"));
-    addButton(tr("Yes"), this, SLOT(save()))->setFocus();
-    addButton(tr("No"), this, SLOT(cancel()));
+    addButton(tr("Yes"), this, SLOT(Save()))->setFocus();
+    addButton(tr("No"), this, SLOT(Cancel()));
 }
 
 ConfirmMenu::ConfirmMenu(MythMainWindow *window, QString msg)
@@ -159,6 +164,6 @@
 {
     addLabel(tr("Confirm"), Large, false);
     addLabel(msg);
-    addButton(tr("Confirm"), this, SLOT(confirm()))->setFocus();
-    addButton(tr("Cancel"), this, SLOT(cancel()));
+    addButton(tr("Confirm"), this, SLOT(Confirm()))->setFocus();
+    addButton(tr("Cancel"), this, SLOT(Cancel()));
 }
